Re: [bug-patch] [patch-2.7.6] make check FAIL on Solaris11 x86/x64

2018-02-07 Thread Kiyoshi KANAZAWA
No, it is not the case.


% ls -l empty.sed
-rw-r--r--   1 someone   x    0 Feb  7 20:33 empty.sed
% echo hello | /usr/bin/sed -f empty.sed
hello


All of GNU sed 4.4, /usr/xpg4/bin/sed  and /usr/bin/sed have the same result.

Make check still have FAIL in merge.

Warnings in make phase (when use cc) disappeared with the new path, including 
cast in util.c.


Regards,

--- Kiyoshi



- Original Message -
> From: Andreas Grünbacher <agr...@gnu.org>
> To: Kiyoshi KANAZAWA <yoi_no_myou...@yahoo.co.jp>
> Cc: "bug-patch@gnu.org" <bug-patch@gnu.org>
> Date: 2018/2/7, Wed 20:00
> Subject: Re: [bug-patch] [patch-2.7.6] make check FAIL on Solaris11 x86/x64
> 
> 2018-02-07 3:39 GMT+01:00 Kiyoshi KANAZAWA <yoi_no_myou...@yahoo.co.jp>:
>>  HiAndreas,
>> 
>>  Have one FAIL in merge.log, after applying the patch.
> 
> Okay, my guess is that sed produces empty output for something like this:
> 
>   printf "" > empty.sed; echo hello | sed -f empty.sed
> 
> If that is the case, the test suite should succeed with the attached
> patch against patch-2.7.6.
> 
> Andreas
> 

merge.log
Description: Binary data


Re: [bug-patch] [patch-2.7.6] make check FAIL on Solaris11 x86/x64

2018-02-06 Thread Dennis Clarke

On 06/02/18 11:07 PM, Kiyoshi KANAZAWA wrote:

Hello, again.

I did not receive from Dennis, but found his message on the web thread.

The original package passes all (make & make check)
on VM Solaris10 x86, with gcc-3.4.3.
(not with Oracle studio, sorry.)

The problem depends on Solaris version, not but SPARC or x86, I guess.



I am looking into this. Please bear with me. I have plenty of SPARC
around but simply not much in the way of Sol 11.3 and I am working on
that.

Dennis Clarke




Re: [bug-patch] [patch-2.7.6] make check FAIL on Solaris11 x86/x64

2018-02-06 Thread Kiyoshi KANAZAWA
HiAndreas,

Have one FAIL in merge.log, after applying the patch.

Tried with
- CC=gcc
- CC='gcc -m64'
- CC=cc
- CC='cc -m64'
(cc is Oracle developerstudio12.6's)


BTW, with cc, I got two warnings in make:
"util.c", line 259: warning: initializer will be sign-extended: -1
"util.c", line 260: warning: initializer will be sign-extended: -1



Regards,

--- Kiyoshi

  

- Original Message -
> From: Andreas Grünbacher <agr...@gnu.org>
> To: Kiyoshi KANAZAWA <yoi_no_myou...@yahoo.co.jp>
> Cc: "bug-patch@gnu.org" <bug-patch@gnu.org>
> Date: 2018/2/7, Wed 09:47
> Subject: Re: [bug-patch] [patch-2.7.6] make check FAIL on Solaris11 x86/x64
> 
> Hi Kiyoshi,
> 
> 2018-02-07 0:47 GMT+01:00 Kiyoshi KANAZAWA <yoi_no_myou...@yahoo.co.jp>:
>>  There was no warning.
>>  tests-log is attached.
> 
> the good thing is that all the failures seem to be in the test suite.
> 
> What do you get after applying the attached patch?
> 
> Thanks,
> Andreas
> 

merge.log
Description: Binary data


Re: [bug-patch] [patch-2.7.6] make check FAIL on Solaris11 x86/x64

2018-02-06 Thread Andreas Grünbacher
Hi Kiyoshi,

2018-02-07 0:47 GMT+01:00 Kiyoshi KANAZAWA :
> There was no warning.
> tests-log is attached.

the good thing is that all the failures seem to be in the test suite.

What do you get after applying the attached patch?

Thanks,
Andreas
diff --git a/tests/crlf-handling b/tests/crlf-handling
index 239149c..c192cac 100644
--- a/tests/crlf-handling
+++ b/tests/crlf-handling
@@ -14,7 +14,7 @@ use_local_patch
 use_tmpdir
 
 lf2crlf() {
-while read l; do echo -e "$l\r"; done
+while read l; do printf "%s\r\n" "$l"; done
 }
 
 echo 1 > a
diff --git a/tests/git-cleanup b/tests/git-cleanup
index 2e3e4c6..ca527a1 100644
--- a/tests/git-cleanup
+++ b/tests/git-cleanup
@@ -36,8 +36,8 @@ BAD PATCH
 EOF
 
 echo 1 > f
-echo -n '' > g
-echo -n '' > h
+printf '' > g
+printf '' > h
 
 check 'patch -f -i 1.diff || echo status: $?' < a.sed
 echo "$body" | sed -f a.sed > b
-shift
+shift || :
 while test $# -gt 0 ; do
echo "$1"
shift
@@ -43,17 +43,15 @@ x2() {
 status=$?
 echo "$output" | sed -e '/^$/d' -e '/^patching file c$/d'
 cat c
-test $status == 0 || echo "Status: $status"
+test $status = 0 || echo "Status: $status"
 }
 
 x() {
-ARGS="$ARGS --merge" x2 "$@"
+ARGS="--merge" x2 "$@"
 echo
-ARGS="$ARGS --merge=diff3" x2 "$@"
+ARGS="--merge=diff3" x2 "$@"
 }
 
-unset ARGS
-
 # ==
 
 check 'x 3' <&3
+ printf "\n\n" >&3
  gdbserver localhost:53153 $PATCH "$@" 2>&3
else
   $PATCH "$@"
@@ -113,22 +113,15 @@ cleanup() {
 exit $status
 }
 
-if test -z "`echo -n`"; then
-if eval 'test -n "${BASH_LINENO[0]}" 2>/dev/null'; then
-   eval '
-   _start_test() {
-   echo -n "[${BASH_LINENO[2]}] $* -- "
-   }'
-else
-   eval '
-   _start_test() {
-   echo -n "* $* -- "
-   }'
-fi
+if eval 'test -n "${BASH_LINENO[0]}" 2>/dev/null'; then
+eval '
+   _start_test() {
+   printf "[${BASH_LINENO[2]}] %s -- " "$*"
+   }'
 else
 eval '
_start_test() {
-   echo "* $*"
+   printf "* %s -- " "%s"
}'
 fi
 


Re: [bug-patch] [patch-2.7.6] make check FAIL on Solaris11 x86/x64

2018-02-06 Thread Dennis Clarke

On 06/02/18 05:39 PM, Kiyoshi KANAZAWA wrote:

Hello,

% ./configure CC=gcc
% make
% make check

There are 3 FAILs in "make check".
FAIL: crlf-handling
FAIL: git-cleanup
FAIL: merge


2nd one might be because I do not have git.

Tried on Solaris 11.3 x86/x64, with gcc-7.3.0.


Hardly the same thing but everything works perfect on Solaris 10 SPARC 
with the Oracle Studio compilers :


PASS: asymmetric-hunks
PASS: backup-prefix-suffix
PASS: bad-filenames
PASS: bad-usage
PASS: concat-git-diff
XFAIL: context-format
PASS: copy-rename
PASS: corrupt-patch
PASS: corrupt-reject-files
PASS: create-delete
PASS: create-directory
PASS: criss-cross
SKIP: crlf-handling
XFAIL: dash-o-append
PASS: deep-directories
PASS: empty-files
PASS: false-match
PASS: fifo
PASS: file-create-modes
PASS: file-modes
PASS: filename-choice
PASS: git-binary-diff
PASS: git-cleanup
PASS: garbage
PASS: global-reject-files
PASS: inname
PASS: line-numbers
SKIP: merge
PASS: mangled-numbers-abort
PASS: mixed-patch-types
PASS: munged-context-format
PASS: need-filename
SKIP: no-mode-change-git-diff
PASS: no-newline-triggers-assert
SKIP: preserve-c-function-names
PASS: preserve-mode-and-timestamp
PASS: quoted-filenames
PASS: read-only-files
SKIP: reject-format
PASS: remember-backup-files
PASS: remember-reject-files
PASS: remove-directories
PASS: symlinks
PASS: unmodified-files

Testsuite summary for GNU patch 2.7.6

# TOTAL: 44
# PASS:  37
# SKIP:  5
# XFAIL: 2
# FAIL:  0
# XPASS: 0
# ERROR: 0


I'll see if I can spin up an x86 vm and give it a whirl to see what 
happens there.  Have you tried the Oracle Studio compilers ?



Dennis





Re: [bug-patch] [patch-2.7.6] make check FAIL on Solaris11 x86/x64

2018-02-06 Thread Kiyoshi KANAZAWA
Hi Andreas,

There was no warning.
tests-log is attached.

Regards.

--- Kiyoshi



- Original Message -
> From: Andreas Grünbacher <agr...@gnu.org>
> To: Kiyoshi KANAZAWA <yoi_no_myou...@yahoo.co.jp>
> Cc: "bug-patch@gnu.org" <bug-patch@gnu.org>
> Date: 2018/2/7, Wed 08:31
> Subject: Re: [bug-patch] [patch-2.7.6] make check FAIL on Solaris11 x86/x64
> 
> Hi Kiyoshi,
> 
> 2018-02-06 23:39 GMT+01:00 Kiyoshi KANAZAWA <yoi_no_myou...@yahoo.co.jp>:
>>  Hello,
>> 
>>  % ./configure CC=gcc
>>  % make
>>  % make check
>> 
>>  There are 3 FAILs in "make check".
>>  FAIL: crlf-handling
>>  FAIL: git-cleanup
>>  FAIL: merge
> 
> thanks for your report. Were there any build warnings? Can you send
> the tests/*.log files for the failing tests?
> 
> (To get the failures fixed, some additional debugging will surely be
> needed as well though.)
> 
>>  2nd one might be because I do not have git.
> 
> The test suite doesn't use git, so that test should succeed as well.
> 
>>  Tried on Solaris 11.3 x86/x64, with gcc-7.3.0.
> 
> Andreas
> 

tests-log.tar.xz
Description: Binary data


Re: [bug-patch] [patch-2.7.6] make check FAIL on Solaris11 x86/x64

2018-02-06 Thread Andreas Grünbacher
Hi Kiyoshi,

2018-02-06 23:39 GMT+01:00 Kiyoshi KANAZAWA :
> Hello,
>
> % ./configure CC=gcc
> % make
> % make check
>
> There are 3 FAILs in "make check".
> FAIL: crlf-handling
> FAIL: git-cleanup
> FAIL: merge

thanks for your report. Were there any build warnings? Can you send
the tests/*.log files for the failing tests?

(To get the failures fixed, some additional debugging will surely be
needed as well though.)

> 2nd one might be because I do not have git.

The test suite doesn't use git, so that test should succeed as well.

> Tried on Solaris 11.3 x86/x64, with gcc-7.3.0.

Andreas



[bug-patch] [patch-2.7.6] make check FAIL on Solaris11 x86/x64

2018-02-06 Thread Kiyoshi KANAZAWA
Hello,

% ./configure CC=gcc
% make
% make check

There are 3 FAILs in "make check".
FAIL: crlf-handling
FAIL: git-cleanup
FAIL: merge


2nd one might be because I do not have git.

Tried on Solaris 11.3 x86/x64, with gcc-7.3.0.


Regards,

--- Kiyoshi